resource-mappings resource endpoint

URL: /client-library-helpers/resource-mappings.<format>

Supported Methods

GET (Deprecated) Get a subset of the method mappings in a slightly higher-level form. This is no longer actively maintained.

Example Request

GET /client-library-helpers/resource-mappings.json HTTP/1.1
Host: api.typepad.com

HTTP/1.0 200 OK
Content-type: application/json
Content-length: 90954

{
   "favorites": {
      "objectType": "Favorite",
      "endpoints": [
         {
            "resourceObjectType": "Favorite",
            "queryParams": {},
            "supportedMethods": {
               "DELETE": "Delete the selected favorite.",
               "GET": "Get basic information about the selected favorite, including its owner and the target asset."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "favorites",
               null
            ],
            "endpointType": "Item"
         }
      ]
   },
   "relationships": {
      "objectType": "Relationship",
      "endpoints": [
         {
            "resourceObjectType": "Relationship",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Get basic information about the selected relationship."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "relationships",
               null
            ],
            "endpointType": "Item"
         },
         {
            "resourceObjectType": "RelationshipStatus",
            "queryParams": {},
            "supportedMethods": {
               "PUT": "Change the status information for the selected relationship, including its types.",
               "GET": "Get the status information for the selected relationship, including its types."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "relationships",
               null,
               "status"
            ],
            "endpointType": "SubResource",
            "name": "status"
         }
      ]
   },
   "users": {
      "objectType": "User",
      "endpoints": [
         {
            "resourceObjectType": "User",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Get basic information about the selected user."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null
            ],
            "endpointType": "Item"
         },
         {
            "resourceObjectType": "List<UserBadge>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of badges that the selected user has won."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "badges"
            ],
            "endpointType": "SubResource",
            "name": "badges"
         },
         {
            "resourceObjectType": "List<UserBadge>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of learning badges that the selected user has won."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "badges",
               "@learning"
            ],
            "endpointType": "SubResource",
            "name": "learningBadges"
         },
         {
            "resourceObjectType": "List<UserBadge>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of public badges that the selected user has won."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "badges",
               "@public"
            ],
            "endpointType": "SubResource",
            "name": "publicBadges"
         },
         {
            "resourceObjectType": "List<Blog>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of blogs that the selected user has access to."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "blogs"
            ],
            "endpointType": "SubResource",
            "name": "blogs"
         },
         {
            "queryParams": {},
            "docString": "Change the basic account details associated with the selected user.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "change-basic-details"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "A new display name for the user. If omitted the display name is not changed.",
                     "name": "displayName",
                     "type": "string"
                  },
                  {
                     "docString": "A new email address for the user. If omitted the email address is not changed. Note that changing the email address changes how the user will sign in.",
                     "name": "email",
                     "type": "string"
                  },
                  {
                     "docString": "A new password for the user. If omitted the password is not changed. Note that changing the password changes how the user will sign in.",
                     "name": "password",
                     "type": "string"
                  }
               ]
            },
            "name": "changeBasicDetails",
            "responseObjectType": null
         },
         {
            "resourceObjectType": "List<Account>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of elsewhere accounts for the selected user."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "elsewhere-accounts"
            ],
            "endpointType": "SubResource",
            "name": "elsewhereAccounts"
         },
         {
            "resourceObjectType": "Stream<Event>",
            "queryParams": {
               "startToken": "start-token",
               "limit": "max-results"
            },
            "supportedMethods": {
               "GET": "Get a list of events describing actions that the selected user performed."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "events"
            ],
            "endpointType": "SubResource",
            "name": "events"
         },
         {
            "resourceObjectType": "List<Event>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of events describing actions that the selected user performed in a particular group."
            },
            "pathParams": {
               "groupId": 4,
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "events",
               "@by-group",
               null
            ],
            "endpointType": "SubResource",
            "name": "eventsByGroup"
         },
         {
            "resourceObjectType": "List<Favorite>",
            "name": "favorites",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "endpointType": "SubResource",
            "pathChunks": [
               "users",
               null,
               "favorites"
            ],
            "pathParams": {
               "id": 1
            },
            "supportedMethods": {
               "POST": "Create a new favorite in the selected user's list of favorites.",
               "GET": "Get a list of favorites that were listed by the selected user."
            },
            "postObjectType": "Favorite"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that the selected user has with groups."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "memberships"
            ],
            "endpointType": "SubResource",
            "name": "memberships"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that have an Admin type that the selected user has with groups."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "memberships",
               "@admin"
            ],
            "endpointType": "SubResource",
            "name": "adminMemberships"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list containing only the relationship between the selected user and a particular group, or an empty list if the user has no relationship with the group."
            },
            "pathParams": {
               "groupId": 4,
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "memberships",
               "@by-group",
               null
            ],
            "endpointType": "SubResource",
            "name": "membershipsByGroup"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that have a Member type that the selected user has with groups."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "memberships",
               "@member"
            ],
            "endpointType": "SubResource",
            "name": "memberMemberships"
         },
         {
            "resourceObjectType": "List<Event>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of events describing actions by users that the selected user is following."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "notifications"
            ],
            "endpointType": "SubResource",
            "name": "notifications"
         },
         {
            "resourceObjectType": "List<Event>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of events describing actions in a particular group by users that the selected user is following."
            },
            "pathParams": {
               "groupId": 4,
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "notifications",
               "@by-group",
               null
            ],
            "endpointType": "SubResource",
            "name": "notificationsByGroup"
         },
         {
            "resourceObjectType": "UserProfile",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a more extensive set of user properties that can be used to build a user profile page."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "profile"
            ],
            "endpointType": "SubResource",
            "name": "profile"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that the selected user has with other users, and that other users have with the selected user."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "relationships"
            ],
            "endpointType": "SubResource",
            "name": "relationships"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that the selected user has with other users, and that other users have with the selected user, constrained to members of a particular group."
            },
            "pathParams": {
               "groupId": 4,
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "relationships",
               "@by-group",
               null
            ],
            "endpointType": "SubResource",
            "name": "relationshipsByGroup"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that the selected user has with a single other user."
            },
            "pathParams": {
               "userId": 4,
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "relationships",
               "@by-user",
               null
            ],
            "endpointType": "SubResource",
            "name": "relationshipsByUser"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that have the Contact type that the selected user has with other users."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "relationships",
               "@follower"
            ],
            "endpointType": "SubResource",
            "name": "followerRelationships"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that have the Contact type that the selected user has with other users, constrained to members of a particular group."
            },
            "pathParams": {
               "groupId": 5,
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "relationships",
               "@follower",
               "@by-group",
               null
            ],
            "endpointType": "SubResource",
            "name": "followerRelationshipsByGroup"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that have the Contact type that other users have with the selected user."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "relationships",
               "@following"
            ],
            "endpointType": "SubResource",
            "name": "followingRelationships"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that have the Contact type that other users have with the selected user, constrained to members of a particular group."
            },
            "pathParams": {
               "groupId": 5,
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "relationships",
               "@following",
               "@by-group",
               null
            ],
            "endpointType": "SubResource",
            "name": "followingRelationshipsByGroup"
         },
         {
            "queryParams": {},
            "docString": "T<Unimplemented> Send an email to the selected user.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "users",
               null,
               "send-email"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> A multi-line string conforming to the content type given in M<contentType> that will be used as the message body.",
                     "name": "content",
                     "type": "string"
                  },
                  {
                     "docString": "The MIME type of the content. If omitted, the content will be interpreted as C<text/plain>.",
                     "name": "contentType",
                     "type": "string"
                  },
                  {
                     "docString": "T<Required> A value conforming to the \"mailbox-list\" production from RFC2822 that will be used as the From and Sender header values.",
                     "name": "sender",
                     "type": "string"
                  },
                  {
                     "docString": "T<Required> A value conforming to the RFC2822 rules for unstructured field bodies that will be used as the Subject header value.",
                     "name": "subject",
                     "type": "string"
                  }
               ]
            },
            "name": "sendEmail",
            "responseObjectType": null
         }
      ]
   },
   "badges": {
      "objectType": "Badge",
      "endpoints": [
         {
            "resourceObjectType": "Badge",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Get basic information about the selected badge."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "badges",
               null
            ],
            "endpointType": "Item"
         }
      ]
   },
   "groups": {
      "objectType": "Group",
      "endpoints": [
         {
            "resourceObjectType": "Group",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Get basic information about the selected group."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "groups",
               null
            ],
            "endpointType": "Item"
         },
         {
            "queryParams": {},
            "docString": "Add a given user as a member of the selected group.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "groups",
               null,
               "add-member"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The M<urlId> of the user who is being added.",
                     "name": "userId",
                     "type": "string"
                  }
               ]
            },
            "name": "addMember",
            "responseObjectType": null
         },
         {
            "resourceObjectType": "List<Audio>",
            "name": "audioAssets",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "endpointType": "SubResource",
            "pathChunks": [
               "groups",
               null,
               "audio-assets"
            ],
            "pathParams": {
               "id": 1
            },
            "supportedMethods": {
               "POST": "Create a new Audio asset within the selected group.",
               "GET": "Get a list of recently created Audio assets from the selected group."
            },
            "postObjectType": "Audio"
         },
         {
            "queryParams": {},
            "docString": "Block the given user from joining the selected group, removing that user as a member in the process.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "groups",
               null,
               "block-user"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The M<urlId> of the user who is being blocked.",
                     "name": "userId",
                     "type": "string"
                  }
               ]
            },
            "name": "blockUser",
            "responseObjectType": null
         },
         {
            "queryParams": {},
            "docString": "Subscribe the group to one or more external feeds.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "groups",
               null,
               "create-external-feed-subscription"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> A list of identifiers of the initial set of feeds to be subscribed to.",
                     "name": "feedIdents",
                     "type": "array<string>"
                  },
                  {
                     "docString": "A list of rules for filtering notifications to this subscription; each rule is a query string using the search API's syntax.",
                     "name": "filterRules",
                     "type": "array<string>"
                  },
                  {
                     "docString": "T<Required> The M<urlId> of the user who will own the assets and events posted into the group's stream by this subscription. The user must be an administrator of the group.",
                     "name": "postAsUserId",
                     "type": "string"
                  }
               ]
            },
            "name": "createExternalFeedSubscription",
            "responseObjectType": {
               "properties": [
                  {
                     "docString": "The subscription object that was created.",
                     "name": "subscription",
                     "type": "ExternalFeedSubscription"
                  }
               ]
            }
         },
         {
            "resourceObjectType": "List<Event>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of events describing actions performed in the selected group."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "groups",
               null,
               "events"
            ],
            "endpointType": "SubResource",
            "name": "events"
         },
         {
            "resourceObjectType": "List<ExternalFeedSubscription>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of the group's active external feed subscriptions."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "groups",
               null,
               "external-feed-subscriptions"
            ],
            "endpointType": "SubResource",
            "name": "externalFeedSubscriptions"
         },
         {
            "resourceObjectType": "List<Link>",
            "name": "linkAssets",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "endpointType": "SubResource",
            "pathChunks": [
               "groups",
               null,
               "link-assets"
            ],
            "pathParams": {
               "id": 1
            },
            "supportedMethods": {
               "POST": "Create a new Link asset within the selected group.",
               "GET": "Returns a list of recently created Link assets from the selected group."
            },
            "postObjectType": "Link"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships between users and the selected group."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "groups",
               null,
               "memberships"
            ],
            "endpointType": "SubResource",
            "name": "memberships"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that have the Admin type between users and the selected group."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "groups",
               null,
               "memberships",
               "@admin"
            ],
            "endpointType": "SubResource",
            "name": "adminMemberships"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that have the Blocked type between users and the selected groups. (Restricted to group admin.)"
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "groups",
               null,
               "memberships",
               "@blocked"
            ],
            "endpointType": "SubResource",
            "name": "blockedMemberships"
         },
         {
            "resourceObjectType": "List<Relationship>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of relationships that have the Member type between users and the selected group."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "groups",
               null,
               "memberships",
               "@member"
            ],
            "endpointType": "SubResource",
            "name": "memberMemberships"
         },
         {
            "resourceObjectType": "List<Photo>",
            "name": "photoAssets",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "endpointType": "SubResource",
            "pathChunks": [
               "groups",
               null,
               "photo-assets"
            ],
            "pathParams": {
               "id": 1
            },
            "supportedMethods": {
               "POST": "Create a new Photo asset within the selected group.",
               "GET": "Get a list of recently created Photo assets from the selected group."
            },
            "postObjectType": "Photo"
         },
         {
            "resourceObjectType": "List<Post>",
            "name": "postAssets",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "endpointType": "SubResource",
            "pathChunks": [
               "groups",
               null,
               "post-assets"
            ],
            "pathParams": {
               "id": 1
            },
            "supportedMethods": {
               "POST": "Create a new Post asset within the selected group.",
               "GET": "Get a list of recently created Post assets from the selected group."
            },
            "postObjectType": "Post"
         },
         {
            "queryParams": {},
            "docString": "Remove a given user as a member of the selected group.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "groups",
               null,
               "remove-member"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The M<urlId> of the user who is being removed.",
                     "name": "userId",
                     "type": "string"
                  }
               ]
            },
            "name": "removeMember",
            "responseObjectType": null
         },
         {
            "queryParams": {},
            "docString": "Remove the block preventing the given user from joining the selected group.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "groups",
               null,
               "unblock-user"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The M<urlId> of the user who is being unblocked.",
                     "name": "userId",
                     "type": "string"
                  }
               ]
            },
            "name": "unblockUser",
            "responseObjectType": null
         },
         {
            "resourceObjectType": "List<Video>",
            "name": "videoAssets",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "endpointType": "SubResource",
            "pathChunks": [
               "groups",
               null,
               "video-assets"
            ],
            "pathParams": {
               "id": 1
            },
            "supportedMethods": {
               "POST": "Create a new Video asset within the selected group.",
               "GET": "Get a list of recently created Video assets from the selected group."
            },
            "postObjectType": "Video"
         }
      ]
   },
   "blogs": {
      "objectType": "Blog",
      "endpoints": [
         {
            "resourceObjectType": "Blog",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Get basic information about the selected blog."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null
            ],
            "endpointType": "Item"
         },
         {
            "queryParams": {},
            "docString": "Send label argument to remove a category from the blog",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "add-category"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The category to add.",
                     "name": "category",
                     "type": "string"
                  }
               ]
            },
            "name": "addCategory",
            "responseObjectType": null
         },
         {
            "queryParams": {},
            "docString": "Begin an import into the selected blog.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "begin-import"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "Attempt to create new users based on ones found in the imported data. This is not yet supported.",
                     "name": "createUsers",
                     "type": "boolean"
                  },
                  {
                     "docString": "Attempt to create new users based on ones found in the imported data. This is not yet supported.",
                     "name": "matchUsers",
                     "type": "boolean"
                  }
               ]
            },
            "name": "beginImport",
            "responseObjectType": {
               "properties": [
                  {
                     "docString": "The O<ImporterJob> object representing the job that was created.",
                     "name": "job",
                     "type": "ImporterJob"
                  }
               ]
            }
         },
         {
            "queryParams": {},
            "docString": "Given an array of absolute URLs, will try to return a block of HTML that embeds the content represented by those URLs as sensibly as possible.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "build-embed-code-for-urls"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> An array of absolute URLs to attempt to transform.",
                     "name": "urls",
                     "type": "array<string>"
                  }
               ]
            },
            "name": "buildEmbedCodeForUrls",
            "responseObjectType": {
               "properties": [
                  {
                     "docString": "An HTML fragment that embeds the provided URLs. This string may contain untrustworthy HTML, so to avoid XSS vulnerabilities this should not be displayed in a sensitive context without sanitization.",
                     "name": "embedCode",
                     "type": "string"
                  }
               ]
            }
         },
         {
            "resourceObjectType": "List<string>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of categories which are defined for the selected blog."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "categories"
            ],
            "endpointType": "SubResource",
            "name": "categories"
         },
         {
            "resourceObjectType": "List<BlogCategoryDetails>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of objects representing the categories defined for the selected blog along with some category metadata."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "category-details"
            ],
            "endpointType": "SubResource",
            "name": "categoryDetails"
         },
         {
            "resourceObjectType": "BlogCommentingSettings",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Get the commenting-related settings for this blog."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "commenting-settings"
            ],
            "endpointType": "SubResource",
            "name": "commentingSettings"
         },
         {
            "resourceObjectType": "List<Comment>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Return a pageable list of published comments associated with the selected blog"
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "comments",
               "@published"
            ],
            "endpointType": "SubResource",
            "name": "publishedComments"
         },
         {
            "resourceObjectType": "List<Comment>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Return the fifty most recent published comments associated with the selected blog"
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "comments",
               "@published",
               "@recent"
            ],
            "endpointType": "SubResource",
            "name": "publishedRecentComments"
         },
         {
            "resourceObjectType": "List<Account>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get  a list of accounts that can be used for crossposting with this blog."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "crosspost-accounts"
            ],
            "endpointType": "SubResource",
            "name": "crosspostAccounts"
         },
         {
            "queryParams": {},
            "docString": "If the selected blog is a connected blog, create or retrieve the external post stub for the given permalink.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "discover-external-post-asset"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The URL of the page whose external post stub is being retrieved.",
                     "name": "permalinkUrl",
                     "type": "string"
                  }
               ]
            },
            "name": "discoverExternalPostAsset",
            "responseObjectType": {
               "properties": [
                  {
                     "docString": "The asset that acts as a stub for the given permalink.",
                     "name": "asset",
                     "type": "Asset"
                  }
               ]
            }
         },
         {
            "resourceObjectType": "List<Asset>",
            "name": "mediaAssets",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "endpointType": "SubResource",
            "pathChunks": [
               "blogs",
               null,
               "media-assets"
            ],
            "pathParams": {
               "id": 1
            },
            "supportedMethods": {
               "POST": "Add a new media asset to the account that owns this blog."
            },
            "postObjectType": "Asset"
         },
         {
            "resourceObjectType": "List<Page>",
            "name": "pageAssets",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "endpointType": "SubResource",
            "pathChunks": [
               "blogs",
               null,
               "page-assets"
            ],
            "pathParams": {
               "id": 1
            },
            "supportedMethods": {
               "POST": "Add a new page to a blog",
               "GET": "Get a list of pages associated with the selected blog."
            },
            "postObjectType": "Page"
         },
         {
            "resourceObjectType": "List<Post>",
            "name": "postAssets",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "endpointType": "SubResource",
            "pathChunks": [
               "blogs",
               null,
               "post-assets"
            ],
            "pathParams": {
               "id": 1
            },
            "supportedMethods": {
               "POST": "Add a new post to a blog",
               "GET": "Get a list of posts associated with the selected blog."
            },
            "postObjectType": "Post"
         },
         {
            "resourceObjectType": "List<Post>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get all visibile posts in the selected blog that have been assigned to the given category."
            },
            "pathParams": {
               "id": 1,
               "category": 4
            },
            "pathChunks": [
               "blogs",
               null,
               "post-assets",
               "@by-category",
               null
            ],
            "endpointType": "SubResource",
            "name": "postAssetsByCategory"
         },
         {
            "resourceObjectType": "List<Post>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get zero or one posts matching the given year, month and filename."
            },
            "pathParams": {
               "filename": 4,
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "post-assets",
               "@by-filename",
               null
            ],
            "endpointType": "SubResource",
            "name": "postAssetsByFilename"
         },
         {
            "resourceObjectType": "List<Post>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get all visible posts in the selected blog that have a publication date within the selected month, specified as a string of the form \"YYYY-MM\"."
            },
            "pathParams": {
               "month": 4,
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "post-assets",
               "@by-month",
               null
            ],
            "endpointType": "SubResource",
            "name": "postAssetsByMonth"
         },
         {
            "resourceObjectType": "List<Post>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get the published posts in the selected blog that have been assigned to the given category."
            },
            "pathParams": {
               "id": 1,
               "category": 5
            },
            "pathChunks": [
               "blogs",
               null,
               "post-assets",
               "@published",
               "@by-category",
               null
            ],
            "endpointType": "SubResource",
            "name": "publishedPostAssetsByCategory"
         },
         {
            "resourceObjectType": "List<Post>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get the posts that were published within the selected month (YYYY-MM) from the selected blog."
            },
            "pathParams": {
               "month": 5,
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "post-assets",
               "@published",
               "@by-month",
               null
            ],
            "endpointType": "SubResource",
            "name": "publishedPostAssetsByMonth"
         },
         {
            "resourceObjectType": "List<Post>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get the most recent 50 published posts in the selected blog."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "post-assets",
               "@published",
               "@recent"
            ],
            "endpointType": "SubResource",
            "name": "publishedRecentPostAssets"
         },
         {
            "resourceObjectType": "List<Post>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get the most recent 50 posts in the selected blog, including draft and scheduled posts."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "post-assets",
               "@recent"
            ],
            "endpointType": "SubResource",
            "name": "recentPostAssets"
         },
         {
            "resourceObjectType": "PostByEmailAddress",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get the selected user's post-by-email address"
            },
            "pathParams": {
               "userId": 4,
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "post-by-email-settings",
               "@by-user",
               null
            ],
            "endpointType": "SubResource",
            "name": "postByEmailSettingsByUser"
         },
         {
            "queryParams": {},
            "docString": "Send label argument to remove a category from the blog",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "remove-category"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The category to remove",
                     "name": "category",
                     "type": "string"
                  }
               ]
            },
            "name": "removeCategory",
            "responseObjectType": null
         },
         {
            "resourceObjectType": "BlogStats",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Get data about the pageviews for the selected blog."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "blogs",
               null,
               "stats"
            ],
            "endpointType": "SubResource",
            "name": "stats"
         }
      ]
   },
   "conversations": {
      "endpoints": [
         {
            "queryParams": {},
            "docString": "Record a response to a conversation originating from somewhere other than a TypePad blog.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "conversations",
               null,
               "add-external-response"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The content of the response, as HTML.",
                     "name": "content",
                     "type": "string"
                  },
                  {
                     "docString": "The email address of the commenter if the comment is posted anonymously.",
                     "name": "email",
                     "type": "string"
                  },
                  {
                     "docString": "The id of the site on whose site the response was posted.",
                     "name": "hostSiteId",
                     "type": "string"
                  },
                  {
                     "docString": "The URL of the commenter's site if the comment is posted anonymously.",
                     "name": "href",
                     "type": "string"
                  },
                  {
                     "docString": "T<Required> The name of the commenter if the comment is posted anonymously.",
                     "name": "name",
                     "type": "string"
                  },
                  {
                     "docString": "The conversation ID of a response to which the new response is a reply, if any.",
                     "name": "replyTo",
                     "type": "string"
                  },
                  {
                     "docString": "An optional responseId from a previous poll response.",
                     "name": "responseId",
                     "type": "string"
                  },
                  {
                     "docString": "A secret token corresponding to the responseId; required if responseId is submitted.",
                     "name": "responseToken",
                     "type": "string"
                  },
                  {
                     "docString": "A string describing the type of site or widget from which the response was posted.",
                     "name": "sourceType",
                     "type": "string"
                  }
               ]
            },
            "name": "addExternalResponse",
            "responseObjectType": {
               "properties": [
                  {
                     "docString": "A ConversationResponse object representing the created response.",
                     "name": "response",
                     "type": "ConversationResponse"
                  }
               ]
            }
         },
         {
            "queryParams": {},
            "docString": "Record a response choosing one of the polling options for this conversation.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "conversations",
               null,
               "add-poll-response"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "The id of the site from which the response was posted.",
                     "name": "hostSiteId",
                     "type": "string"
                  },
                  {
                     "docString": "T<Required> The identifier key for the option selected by the user.",
                     "name": "identifier",
                     "type": "string"
                  }
               ]
            },
            "name": "addPollResponse",
            "responseObjectType": {
               "properties": [
                  {
                     "docString": "An identifier for the poll response.",
                     "name": "responseId",
                     "type": "string"
                  },
                  {
                     "docString": "A secret token associated with the responseId.",
                     "name": "responseToken",
                     "type": "string"
                  }
               ]
            }
         },
         {
            "resourceObjectType": "Stream<ConversationResponse>",
            "queryParams": {
               "sort": "sort",
               "startToken": "start-token",
               "limit": "max-results"
            },
            "supportedMethods": {
               "GET": "Retrieve a list of responses for the selected conversation."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "conversations",
               null,
               "responses"
            ],
            "endpointType": "SubResource",
            "name": "responses"
         },
         {
            "resourceObjectType": "Stream<ConversationResponse>",
            "queryParams": {
               "startToken": "start-token",
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Retrieve a list of responses in this conversation that match a given poll option identifier."
            },
            "pathParams": {
               "pollOptionId": 4,
               "id": 1
            },
            "pathChunks": [
               "conversations",
               null,
               "responses",
               "@by-poll-option",
               null
            ],
            "endpointType": "SubResource",
            "name": "responsesByPollOption"
         },
         {
            "resourceObjectType": "Stream<ConversationResponse>",
            "queryParams": {
               "startToken": "start-token",
               "limit": "max-results"
            },
            "supportedMethods": {
               "GET": "Retrieve a list of featured responses for the selected conversation."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "conversations",
               null,
               "responses",
               "@featured"
            ],
            "endpointType": "SubResource",
            "name": "featuredResponses"
         },
         {
            "resourceObjectType": "Stream<ConversationResponse>",
            "queryParams": {
               "startToken": "start-token",
               "limit": "max-results"
            },
            "supportedMethods": {
               "GET": "T<Deprecated> Retrieve a list of all responses for the selected conversation, with featured responses served first."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "conversations",
               null,
               "responses",
               "@featured-first"
            ],
            "endpointType": "SubResource",
            "name": "featuredFirstResponses"
         },
         {
            "resourceObjectType": "Stream<ConversationResponse>",
            "queryParams": {
               "startToken": "start-token",
               "limit": "max-results"
            },
            "supportedMethods": {
               "GET": "Retrieve a list of responses from invited participants for the selected conversation."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "conversations",
               null,
               "responses",
               "@from-voices"
            ],
            "endpointType": "SubResource",
            "name": "fromVoicesResponses"
         }
      ]
   },
   "applications": {
      "objectType": "Application",
      "endpoints": [
         {
            "resourceObjectType": "Application",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Get basic information about the selected application."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "applications",
               null
            ],
            "endpointType": "Item"
         },
         {
            "resourceObjectType": "List<Badge>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of badges defined by this application."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "applications",
               null,
               "badges"
            ],
            "endpointType": "SubResource",
            "name": "badges"
         },
         {
            "resourceObjectType": "List<Badge>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of all learning badges defined by this application."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "applications",
               null,
               "badges",
               "@learning"
            ],
            "endpointType": "SubResource",
            "name": "learningBadges"
         },
         {
            "resourceObjectType": "List<Badge>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of all public badges defined by this application."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "applications",
               null,
               "badges",
               "@public"
            ],
            "endpointType": "SubResource",
            "name": "publicBadges"
         },
         {
            "queryParams": {},
            "docString": "Subscribe the application to one or more external feeds.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "applications",
               null,
               "create-external-feed-subscription"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The URL which will receive notifications of new content in the subscribed feeds.",
                     "name": "callbackUrl",
                     "type": "string"
                  },
                  {
                     "docString": "T<Required> A list of identifiers of the initial set of feeds to be subscribed to.",
                     "name": "feedIdents",
                     "type": "array<string>"
                  },
                  {
                     "docString": "A list of rules for filtering notifications to this subscription; each rule is a query string using the search API's syntax.",
                     "name": "filterRules",
                     "type": "array<string>"
                  },
                  {
                     "docString": "An optional subscriber-provided opaque token that will be used to compute an HMAC digest to be sent along with each item delivered to the M<callbackUrl>.",
                     "name": "secret",
                     "type": "string"
                  },
                  {
                     "docString": "T<Required> A subscriber-provided opaque token that will be echoed back in the verification request to assist the subscriber in identifying which subscription request is being verified.",
                     "name": "verifyToken",
                     "type": "string"
                  }
               ]
            },
            "name": "createExternalFeedSubscription",
            "responseObjectType": {
               "properties": [
                  {
                     "docString": "The subscription object that was created.",
                     "name": "subscription",
                     "type": "ExternalFeedSubscription"
                  }
               ]
            }
         },
         {
            "resourceObjectType": "List<ExternalFeedSubscription>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of the application's active external feed subscriptions."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "applications",
               null,
               "external-feed-subscriptions"
            ],
            "endpointType": "SubResource",
            "name": "externalFeedSubscriptions"
         },
         {
            "resourceObjectType": "List<Group>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of groups in which a client using a C<app_full> access auth token from this application can act."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "applications",
               null,
               "groups"
            ],
            "endpointType": "SubResource",
            "name": "groups"
         }
      ]
   },
   "importJobs": {
      "endpoints": [
         {
            "queryParams": {},
            "docString": "Terminates a blog import job.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "import-jobs",
               null,
               "close-job"
            ],
            "endpointType": "Action",
            "requestObjectType": null,
            "name": "closeJob",
            "responseObjectType": null
         },
         {
            "resourceObjectType": "List<Asset>",
            "name": "mediaAssets",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "endpointType": "SubResource",
            "pathChunks": [
               "import-jobs",
               null,
               "media-assets"
            ],
            "pathParams": {
               "id": 1
            },
            "supportedMethods": {
               "POST": "Add a new media asset to the account that owns the blog associated with this import job."
            },
            "postObjectType": "Asset"
         },
         {
            "queryParams": {},
            "docString": "Imports a selection of items into a blog import job.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "import-jobs",
               null,
               "submit-items"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> Represents objects to import.",
                     "name": "items",
                     "type": "array<ImportAsset>"
                  }
               ]
            },
            "name": "submitItems",
            "responseObjectType": null
         }
      ]
   },
   "assets": {
      "objectType": "Stream<Asset>",
      "endpoints": [
         {
            "resourceObjectType": "Stream<Asset>",
            "queryParams": {
               "filterByGroup": "filter.group",
               "filterByAuthor": "filter.author",
               "startToken": "start-token",
               "filterByAssetRank": "filter.asset-rank",
               "filterByOwner": "filter.owner",
               "sort": "sort",
               "q": "q",
               "filterByBlog": "filter.blog",
               "filterByAssetType": "filter.asset-type",
               "limit": "max-results"
            },
            "supportedMethods": {
               "GET": "Search for user-created content across the whole of TypePad."
            },
            "pathParams": {},
            "pathChunks": [
               "assets"
            ],
            "endpointType": "BareNoun"
         },
         {
            "resourceObjectType": "Asset",
            "queryParams": {},
            "supportedMethods": {
               "DELETE": "Delete the selected asset and its associated events, comments and favorites.",
               "PUT": "Update the selected asset.",
               "GET": "Get basic information about the selected asset."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null
            ],
            "endpointType": "Item"
         },
         {
            "queryParams": {},
            "docString": "Send label argument to add a category to an asset",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "add-category"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The category to add.",
                     "name": "category",
                     "type": "string"
                  }
               ]
            },
            "name": "addCategory",
            "responseObjectType": null
         },
         {
            "queryParams": {},
            "docString": "Send a negative vote/thumbs up for an asset.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "cast-negative-vote"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": []
            },
            "name": "castNegativeVote",
            "responseObjectType": {
               "properties": [
                  {
                     "docString": "The new sum of negative votes for the asset.",
                     "name": "negativeVoteCount",
                     "type": "integer"
                  }
               ]
            }
         },
         {
            "queryParams": {},
            "docString": "Send a positive vote/thumbs up for an asset.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "cast-positive-vote"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": []
            },
            "name": "castPositiveVote",
            "responseObjectType": {
               "properties": [
                  {
                     "docString": "The new sum of positive votes for the asset.",
                     "name": "positiveVoteCount",
                     "type": "integer"
                  }
               ]
            }
         },
         {
            "resourceObjectType": "List<string>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of categories into which this asset has been placed within its blog. Currently supported only for O<Post> assets that are posted within a blog."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "categories"
            ],
            "endpointType": "SubResource",
            "name": "categories"
         },
         {
            "resourceObjectType": "List<CommentTreeItem>",
            "queryParams": {
               "selectedItem": "selected-item",
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of assets that were posted in response to the selected asset and their depth in the response tree"
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "comment-tree"
            ],
            "endpointType": "SubResource",
            "name": "commentTree"
         },
         {
            "resourceObjectType": "List<Comment>",
            "name": "comments",
            "queryParams": {
               "selectedItem": "selected-item",
               "limit": "max-results",
               "offset": "start-index"
            },
            "endpointType": "SubResource",
            "pathChunks": [
               "assets",
               null,
               "comments"
            ],
            "pathParams": {
               "id": 1
            },
            "supportedMethods": {
               "POST": "Create a new Comment asset as a response to the selected asset.",
               "GET": "Get a list of assets that were posted in response to the selected asset."
            },
            "postObjectType": "Comment"
         },
         {
            "resourceObjectType": "AssetExtendedContent",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get the extended content for the asset, if any. Currently supported only for O<Post> assets that are posted within a blog."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "extended-content"
            ],
            "endpointType": "SubResource",
            "name": "extendedContent"
         },
         {
            "resourceObjectType": "List<Favorite>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of favorites that have been created for the selected asset."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "favorites"
            ],
            "endpointType": "SubResource",
            "name": "favorites"
         },
         {
            "resourceObjectType": "FeedbackStatus",
            "queryParams": {},
            "supportedMethods": {
               "PUT": "Set the feedback status of the selected asset.",
               "GET": "Get the feedback status of the selected asset."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "feedback-status"
            ],
            "endpointType": "SubResource",
            "name": "feedbackStatus"
         },
         {
            "queryParams": {},
            "docString": "Send relevant data to get back a model of what the submitted comment will look like.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "make-comment-preview"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The body of the comment.",
                     "name": "content",
                     "type": "string"
                  }
               ]
            },
            "name": "makeCommentPreview",
            "responseObjectType": {
               "properties": [
                  {
                     "docString": "A mockup of the future comment.",
                     "name": "comment",
                     "type": "Asset"
                  }
               ]
            }
         },
         {
            "resourceObjectType": "List<Asset>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of media assets that are embedded in the content of the selected asset."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "media-assets"
            ],
            "endpointType": "SubResource",
            "name": "mediaAssets"
         },
         {
            "resourceObjectType": "PublicationStatus",
            "queryParams": {},
            "supportedMethods": {
               "PUT": "Set the publication status of the selected asset.",
               "GET": "Get the publication status of the selected asset."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "publication-status"
            ],
            "endpointType": "SubResource",
            "name": "publicationStatus"
         },
         {
            "resourceObjectType": "List<Post>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of posts that were posted as reblogs of the selected asset."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "reblogs"
            ],
            "endpointType": "SubResource",
            "name": "reblogs"
         },
         {
            "queryParams": {},
            "docString": "Send label argument to remove a category from an asset",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "remove-category"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "<Required> The category to remove.",
                     "name": "category",
                     "type": "string"
                  }
               ]
            },
            "name": "removeCategory",
            "responseObjectType": null
         },
         {
            "queryParams": {},
            "docString": "Adjust publication status of an asset",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "assets",
               null,
               "update-publication-status"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "A boolean indicating whether the asset is a draft",
                     "name": "draft",
                     "type": "boolean"
                  },
                  {
                     "docString": "The publication date of the asset",
                     "name": "publicationDate",
                     "type": "string"
                  },
                  {
                     "docString": "A boolean indicating whether the asset is spam; Comment only",
                     "name": "spam",
                     "type": "boolean"
                  }
               ]
            },
            "name": "updatePublicationStatus",
            "responseObjectType": null
         },
         {
            "resourceObjectType": "Stream<Asset>",
            "queryParams": {
               "startToken": "start-token",
               "limit": "max-results"
            },
            "supportedMethods": {
               "GET": "Gets a stream of trending assets across TypePad"
            },
            "pathParams": {},
            "pathChunks": [
               "assets",
               "trending"
            ],
            "endpointType": "Item"
         }
      ]
   },
   "domains": {
      "objectType": "Domain",
      "endpoints": [
         {
            "resourceObjectType": "Domain",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Get basic information about the selected domain."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "domains",
               null
            ],
            "endpointType": "Item"
         },
         {
            "queryParams": {},
            "docString": "Given a URI path, find the blog and asset, if any, that the path matches.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "domains",
               null,
               "resolve-path"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The URI path to resolve",
                     "name": "path",
                     "type": "string"
                  }
               ]
            },
            "name": "resolvePath",
            "responseObjectType": {
               "properties": [
                  {
                     "docString": "The asset that the given URL is for, if any.",
                     "name": "asset",
                     "type": "Asset"
                  },
                  {
                     "docString": "The blog that the given URL belongs to, if any.",
                     "name": "blog",
                     "type": "Blog"
                  },
                  {
                     "docString": "C<true> if the given path matched a blog or asset directly, or C<false> if this is only a prefix match. If using this endpoint to implement an alternative blog renderer, a client should return 404 if this flag is not set.",
                     "name": "isFullMatch",
                     "type": "boolean"
                  }
               ]
            }
         }
      ]
   },
   "events": {
      "objectType": "Event",
      "endpoints": [
         {
            "resourceObjectType": "Event",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Get basic information about the selected event."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "events",
               null
            ],
            "endpointType": "Item"
         }
      ]
   },
   "apiKeys": {
      "objectType": "ApiKey",
      "endpoints": [
         {
            "resourceObjectType": "ApiKey",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Get basic information about the selected API key, including what application it belongs to."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "api-keys",
               null
            ],
            "endpointType": "Item"
         }
      ]
   },
   "requestProperties": {
      "endpoints": [
         {
            "resourceObjectType": "RequestProperties",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Retrieve some request properties. This can be useful for debugging authentication issues."
            },
            "pathParams": {},
            "pathChunks": [
               "request-properties"
            ],
            "endpointType": "BareNoun"
         }
      ]
   },
   "externalFeedSubscriptions": {
      "objectType": "ExternalFeedSubscription",
      "endpoints": [
         {
            "resourceObjectType": "ExternalFeedSubscription",
            "queryParams": {},
            "supportedMethods": {
               "DELETE": "Remove the selected subscription.",
               "GET": "Get basic information about the selected subscription."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "external-feed-subscriptions",
               null
            ],
            "endpointType": "Item"
         },
         {
            "queryParams": {},
            "docString": "Add one or more feed identifiers to the subscription.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "external-feed-subscriptions",
               null,
               "add-feeds"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> A list of identifiers to be added to the subscription's set of feeds.",
                     "name": "feedIdents",
                     "type": "array<string>"
                  }
               ]
            },
            "name": "addFeeds",
            "responseObjectType": null
         },
         {
            "resourceObjectType": "List<string>",
            "queryParams": {
               "limit": "max-results",
               "offset": "start-index"
            },
            "supportedMethods": {
               "GET": "Get a list of strings containing the identifiers of the feeds to which this subscription is subscribed."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "external-feed-subscriptions",
               null,
               "feeds"
            ],
            "endpointType": "SubResource",
            "name": "feeds"
         },
         {
            "queryParams": {},
            "docString": "Remove one or more feed identifiers from the subscription.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "external-feed-subscriptions",
               null,
               "remove-feeds"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> A list of identifiers to be removed from the subscription's set of feeds.",
                     "name": "feedIdents",
                     "type": "array<string>"
                  }
               ]
            },
            "name": "removeFeeds",
            "responseObjectType": null
         },
         {
            "queryParams": {},
            "docString": "Change the filtering rules for the subscription.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "external-feed-subscriptions",
               null,
               "update-filters"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The new list of rules for filtering notifications to this subscription; this will replace the subscription's existing rules.",
                     "name": "filterRules",
                     "type": "array<string>"
                  }
               ]
            },
            "name": "updateFilters",
            "responseObjectType": null
         },
         {
            "queryParams": {},
            "docString": "Change the callback URL and/or secret for the subscription.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "external-feed-subscriptions",
               null,
               "update-notification-settings"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "The new callback URL to receive notifications of new content in this subscription's feeds.",
                     "name": "callbackUrl",
                     "type": "string"
                  },
                  {
                     "docString": "An optional subscriber-provided opaque token that will be used to compute an HMAC digest to be sent along with each item delivered to the M<callbackUrl>.",
                     "name": "secret",
                     "type": "string"
                  },
                  {
                     "docString": "A subscriber-provided opaque token that will be echoed back in a verification request to the M<callbackUrl>. Required, if the M<callbackUrl> is being modified with this endpoint.",
                     "name": "verifyToken",
                     "type": "string"
                  }
               ]
            },
            "name": "updateNotificationSettings",
            "responseObjectType": null
         },
         {
            "queryParams": {},
            "docString": "Change the \"post as\" user for a subscription owned by a group.",
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "external-feed-subscriptions",
               null,
               "update-user"
            ],
            "endpointType": "Action",
            "requestObjectType": {
               "properties": [
                  {
                     "docString": "T<Required> The M<urlId> of the user who will own the assets and events posted into the group's stream by this subscription. The user must be an administrator of the group.",
                     "name": "postAsUserId",
                     "type": "string"
                  }
               ]
            },
            "name": "updateUser",
            "responseObjectType": null
         }
      ]
   },
   "authTokens": {
      "objectType": "AuthToken",
      "endpoints": [
         {
            "resourceObjectType": "AuthToken",
            "queryParams": {},
            "supportedMethods": {
               "GET": "Get basic information about the selected auth token, including what object it grants access to."
            },
            "pathParams": {
               "id": 1
            },
            "pathChunks": [
               "auth-tokens",
               null
            ],
            "endpointType": "Item"
         }
      ]
   }
}